<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.2
Name: Specimen Collection
Description: Specimen Collection, when present, SHALL be recorded under the Specimen Act in an entryRelationship under the Laboratory Data Processing Entry. The table below shows how the information for this element is coded, and further constraints are provided in the following sections.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000">
   <title>Specimen Collection</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (SpecimenCollection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]"
         id="d20e456-false-d1234e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@classCode) = ('PROC')">(SpecimenCollection): de waarde van classCode MOET 'PROC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@moodCode) = ('EVN')">(SpecimenCollection): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']) &gt;= 1">(SpecimenCollection): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']) &lt;= 1">(SpecimenCollection): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:code[@code = '33882-2' or @nullFlavor]) &lt;= 1">(SpecimenCollection): element hl7:code[@code = '33882-2' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(SpecimenCollection): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SpecimenCollection): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:targetSiteCode) &lt;= 1">(SpecimenCollection): element hl7:targetSiteCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:performer) &lt;= 1">(SpecimenCollection): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode = 'PRD'][hl7:participantRole]) &gt;= 1">(SpecimenCollection): element hl7:participant[@typeCode = 'PRD'][hl7:participantRole] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode = 'PRD'][hl7:participantRole]) &lt;= 1">(SpecimenCollection): element hl7:participant[@typeCode = 'PRD'][hl7:participantRole] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.3']]]) &lt;= 1">(SpecimenCollection): element hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.3']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']"
         id="d20e462-false-d1305e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.1.2')">(SpecimenCollection): de waarde van root MOET '1.3.6.1.4.1.19376.1.3.1.2' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:code[@code = '33882-2' or @nullFlavor]
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:code[@code = '33882-2' or @nullFlavor]"
         id="d20e467-false-d1320e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="@nullFlavor or (@code='33882-2')">(SpecimenCollection): de elementwaarde MOET een zijn van 'code '33882-2''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:effectiveTime
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:effectiveTime"
         id="d20e475-false-d1336e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:targetSiteCode
Item: (SpecimenCollection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:performer
Item: (SpecimenCollection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]"
         id="d20e486-false-d1362e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@typeCode) = ('PRD')">(SpecimenCollection): de waarde van typeCode MOET 'PRD' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]) &gt;= 1">(SpecimenCollection): element hl7:participantRole[not(@nullFlavor)][hl7:playingEntity] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]) &lt;= 1">(SpecimenCollection): element hl7:participantRole[not(@nullFlavor)][hl7:playingEntity] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]"
         id="d20e493-false-d1382e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@classCode) = ('SPEC') or not(@classCode)">(SpecimenCollection): de waarde van classCode MOET 'SPEC' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:id) &gt;= 1">(SpecimenCollection): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:id) &lt;= 1">(SpecimenCollection): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:playingEntity[hl7:code]) &gt;= 1">(SpecimenCollection): element hl7:playingEntity[hl7:code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:playingEntity[hl7:code]) &lt;= 1">(SpecimenCollection): element hl7:playingEntity[hl7:code] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]/hl7:id
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]/hl7:id"
         id="d20e497-false-d1410e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]/hl7:playingEntity[hl7:code]
Item: (SpecimenCollection)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]/hl7:playingEntity[hl7:code]"
         id="d20e499-false-d1420e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:code) &gt;= 1">(SpecimenCollection): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="count(hl7:code) &lt;= 1">(SpecimenCollection): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[not(@nullFlavor)][hl7:playingEntity]/hl7:playingEntity[hl7:code]/hl7:code
Item: (SpecimenCollection)
-->


   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.2
Context: *[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.3']]]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.2']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.3']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.html"
              test="string(@typeCode) = ('COMP')">(SpecimenCollection): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
