<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Name: Human Patient with Non-Human Subject
Description: ClinicalDocument/recordTarget SHALL be present and SHALL conform to the Human Patient, Non-Human Subject or Human Patient with Non-Human Subject templates defined below. There are three varieties of laboratory reports:  
                     Human (patient): The document reports laboratory observations produced on specimens collected exclusively from the patient. 
                     Non-Human Subject: The document reports laboratory observations produced on specimens collected from a non-human material (e.g. water, milk…) or living subject (e.g. animal). 
                     Human (patient) paired with Non-Human Subject: The document reports laboratory observations produced on a non-human specimen with a relationship to a human patient, (e.g. peanut butter eaten by a patient, a ferret that bit a patient). 
                 
                 Human Patient with Non-Human Subject  When the report assembles observations for a human (patient) with observations produced using a non-human 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000">
   <title>Human Patient with Non-Human Subject</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]"
         id="d20e2345-false-d4166e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]"
         id="d20e2439-false-d4181e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:patientRole[hl7:patient]) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:patientRole[hl7:patient] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:patientRole[hl7:patient]) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:patientRole[hl7:patient] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']"
         id="d20e2441-false-d4207e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3.1.3')">(Humanpatientwithnonhumansubjectrecordtarget): de waarde van root MOET '1.3.6.1.4.1.19376.1.3.3.1.3' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]"
         id="d20e2446-false-d4221e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:id) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:addr) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:telecom) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:patient) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:patient) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:id
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:id"
         id="d20e2448-false-d4255e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:addr
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:addr"
         id="d20e2450-false-d4265e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:telecom
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:telecom"
         id="d20e2452-false-d4275e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient"
         id="d20e2454-false-d4285e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:id) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:name) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:administrativeGenderCode) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:administrativeGenderCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:administrativeGenderCode) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:birthTime) &gt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="count(hl7:birthTime) &lt;= 1">(Humanpatientwithnonhumansubjectrecordtarget): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:id
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:id"
         id="d20e2456-false-d4321e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:name
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:name"
         id="d20e2458-false-d4331e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:administrativeGenderCode
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:administrativeGenderCode"
         id="d20e2460-false-d4341e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.3.1.3
Context: *[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:birthTime
Item: (Humanpatientwithnonhumansubjectrecordtarget)
-->

   <rule context="*[hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]]/hl7:recordTarget[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3']]/hl7:patientRole[hl7:patient]/hl7:patient/hl7:birthTime"
         id="d20e2462-false-d4351e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Humanpatientwithnonhumansubjectrecordtarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.html"
              test="not(*)">(Humanpatientwithnonhumansubjectrecordtarget): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
</pattern>
