<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for ORL_O22 - Verzenden aanvraagbevestiging </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:v2xml" prefix="hl7v2"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTv25_AD.sch"/>
      <include href="include/DTv25_AUI.sch"/>
      <include href="include/DTv25_CCD.sch"/>
      <include href="include/DTv25_CCP.sch"/>
      <include href="include/DTv25_CD.sch"/>
      <include href="include/DTv25_CE.sch"/>
      <include href="include/DTv25_CF.sch"/>
      <include href="include/DTv25_CNE.sch"/>
      <include href="include/DTv25_CNN.sch"/>
      <include href="include/DTv25_CP.sch"/>
      <include href="include/DTv25_CQ.sch"/>
      <include href="include/DTv25_CSU.sch"/>
      <include href="include/DTv25_CWE.sch"/>
      <include href="include/DTv25_CX.sch"/>
      <include href="include/DTv25_DDI.sch"/>
      <include href="include/DTv25_DIN.sch"/>
      <include href="include/DTv25_DLD.sch"/>
      <include href="include/DTv25_DLN.sch"/>
      <include href="include/DTv25_DLT.sch"/>
      <include href="include/DTv25_DR.sch"/>
      <include href="include/DTv25_DT.sch"/>
      <include href="include/DTv25_DTM.sch"/>
      <include href="include/DTv25_DTN.sch"/>
      <include href="include/DTv25_ED.sch"/>
      <include href="include/DTv25_EI.sch"/>
      <include href="include/DTv25_EIP.sch"/>
      <include href="include/DTv25_ELD.sch"/>
      <include href="include/DTv25_ERL.sch"/>
      <include href="include/DTv25_escapeType.sch"/>
      <include href="include/DTv25_FC.sch"/>
      <include href="include/DTv25_FN.sch"/>
      <include href="include/DTv25_FT.sch"/>
      <include href="include/DTv25_GTS.sch"/>
      <include href="include/DTv25_HD.sch"/>
      <include href="include/DTv25_ICD.sch"/>
      <include href="include/DTv25_ID.sch"/>
      <include href="include/DTv25_IS.sch"/>
      <include href="include/DTv25_JCC.sch"/>
      <include href="include/DTv25_LA1.sch"/>
      <include href="include/DTv25_LA2.sch"/>
      <include href="include/DTv25_MA.sch"/>
      <include href="include/DTv25_MO.sch"/>
      <include href="include/DTv25_MOC.sch"/>
      <include href="include/DTv25_MOP.sch"/>
      <include href="include/DTv25_MSG.sch"/>
      <include href="include/DTv25_NA.sch"/>
      <include href="include/DTv25_NDL.sch"/>
      <include href="include/DTv25_NM.sch"/>
      <include href="include/DTv25_NR.sch"/>
      <include href="include/DTv25_OCD.sch"/>
      <include href="include/DTv25_OSD.sch"/>
      <include href="include/DTv25_OSP.sch"/>
      <include href="include/DTv25_PIP.sch"/>
      <include href="include/DTv25_PL.sch"/>
      <include href="include/DTv25_PLN.sch"/>
      <include href="include/DTv25_PPN.sch"/>
      <include href="include/DTv25_PRL.sch"/>
      <include href="include/DTv25_PT.sch"/>
      <include href="include/DTv25_PTA.sch"/>
      <include href="include/DTv25_QIP.sch"/>
      <include href="include/DTv25_QSC.sch"/>
      <include href="include/DTv25_RCD.sch"/>
      <include href="include/DTv25_RFR.sch"/>
      <include href="include/DTv25_RI.sch"/>
      <include href="include/DTv25_RMC.sch"/>
      <include href="include/DTv25_RP.sch"/>
      <include href="include/DTv25_RPT.sch"/>
      <include href="include/DTv25_SAD.sch"/>
      <include href="include/DTv25_SCV.sch"/>
      <include href="include/DTv25_SI.sch"/>
      <include href="include/DTv25_SN.sch"/>
      <include href="include/DTv25_SPD.sch"/>
      <include href="include/DTv25_SPS.sch"/>
      <include href="include/DTv25_SRT.sch"/>
      <include href="include/DTv25_ST.sch"/>
      <include href="include/DTv25_TM.sch"/>
      <include href="include/DTv25_TQ.sch"/>
      <include href="include/DTv25_TS.sch"/>
      <include href="include/DTv25_TX.sch"/>
      <include href="include/DTv25_UVC.sch"/>
      <include href="include/DTv25_varies.sch"/>
      <include href="include/DTv25_VH.sch"/>
      <include href="include/DTv25_VID.sch"/>
      <include href="include/DTv25_VR.sch"/>
      <include href="include/DTv25_WVI.sch"/>
      <include href="include/DTv25_WVS.sch"/>
      <include href="include/DTv25_XAD.sch"/>
      <include href="include/DTv25_XCN.sch"/>
      <include href="include/DTv25_XON.sch"/>
      <include href="include/DTv25_XPN.sch"/>
      <include href="include/DTv25_XTN.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario aanvraagBevestigingORL -->

   <!-- ORL_O22_Lab2Lab -->
   <pattern>
      <title>ORL_O22_Lab2Lab</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7v2:MSH | descendant-or-self::hl7v2:MSA | descendant-or-self::hl7v2:ERR | descendant-or-self::hl7v2:SFT | descendant-or-self::hl7v2:NTE | descendant-or-self::hl7v2:ORL_O22.RESPONSE"
                 see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20190206T142539/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.57-2018-12-03T091701.html">In de instance werd tenminste één van de volgende elementen verwacht: descendant-or-self::hl7v2:MSH | descendant-or-self::hl7v2:MSA | descendant-or-self::hl7v2:ERR | descendant-or-self::hl7v2:SFT | descendant-or-self::hl7v2:NTE | descendant-or-self::hl7v2:ORL_O22.RESPONSE</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.25.10.57-2018-12-03T091701.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.25.10.57-2018-12-03T091701-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->


   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



</schema>
